CMSIS-NN: arm_nn_math_types.h File Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Macros | Enumerations
arm_nn_math_types.h File Reference

## Macros

#define | NN_Q31_MAX
| Add necessary typedefs. More...
#define | NN_Q15_MAX
#define | NN_Q7_MAX
#define | NN_Q31_MIN
#define | NN_Q15_MIN
#define | NN_Q7_MIN

## Enumerations

enum | arm_cmsis_nn_status
| Error status returned by some functions in the library. More...

## Macro Definition Documentation

#define NN_Q15_MAX

Referenced by arm_nn_softmax_common_s8(), and arm_softmax_s16().

#define NN_Q15_MIN

Referenced by arm_nn_softmax_common_s8(), and arm_softmax_s16().

#define NN_Q31_MAX

Copied from CMSIS/DSP/arm_math_types.h and modified

Referenced by arm_nn_doubling_high_mult(), arm_nn_exp_on_negative_values(), arm_nn_mult_by_power_of_two(), arm_nn_one_over_one_plus_x_for_x_in_0_1(), and arm_nn_vec_mat_mult_t_svdf_s8().

#define NN_Q31_MIN

Referenced by arm_nn_doubling_high_mult(), and arm_nn_mult_by_power_of_two().

#define NN_Q7_MAX

Referenced by arm_nn_softmax_common_s8().

#define NN_Q7_MIN

Referenced by arm_nn_softmax_common_s8(), and arm_softmax_s8().

## Enumeration Type Documentation

enum arm_cmsis_nn_status

Enumerator
ARM_CMSIS_NN_SUCCESS | No error
ARM_CMSIS_NN_ARG_ERROR | One or more arguments are incorrect
ARM_CMSIS_NN_NO_IMPL_ERROR | No implementation available